---
title: Delete Route
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Magic Transit](https://developers.cloudflare.com/api/go/resources/magic_transit)

[Routes](https://developers.cloudflare.com/api/go/resources/magic_transit/subresources/routes)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Delete Route

client.MagicTransit.Routes.Delete(ctx, routeID, body) (\*[RouteDeleteResponse](<https://developers.cloudflare.com/api/go/resources/magic_transit#(resource)%20magic_transit.routes%20%3E%20(model)%20RouteDeleteResponse%20%3E%20(schema)>), error)

DELETE/accounts/{account\_id}/magic/routes/{route\_id}

Disable and remove a specific Magic static route.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Magic WAN Write``Magic Transit Write`

##### ParametersExpand Collapse

routeID string

Identifier

maxLength32

[Link to this property](<#(resource)%20magic_transit.routes%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20route_id%20%3E%20(schema)>)

<details>

<summary>

body RouteDeleteParams

</summary>

AccountID param.Field\[string]

Identifier

maxLength32

<a href="#(resource)%20magic_transit.routes%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20magic_transit.routes%20%3E%20(method)%20delete%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type RouteDeleteResponse struct{…}

</summary>

Deleted boolOptional

<a href="#(resource)%20magic_transit.routes%20%3E%20(model)%20RouteDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20deleted">Link to this property</a>

<details>

<summary>

DeletedRoute RouteDeleteResponseDeletedRouteOptional

</summary>

ID string

Identifier

maxLength32

<a href="#(resource)%20magic_transit.routes%20%3E%20(model)%20RouteDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20deleted_route%20%3E%20(property)%20id">Link to this property</a>

Nexthop string

The next-hop IP Address for the static route.

<a href="#(resource)%20magic_transit.routes%20%3E%20(model)%20RouteDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20deleted_route%20%3E%20(property)%20nexthop">Link to this property</a>

Prefix string

IP Prefix in Classless Inter-Domain Routing format.

<a href="#(resource)%20magic_transit.routes%20%3E%20(model)%20RouteDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20deleted_route%20%3E%20(property)%20prefix">Link to this property</a>

Priority int64

Priority of the static route.

<a href="#(resource)%20magic_transit.routes%20%3E%20(model)%20RouteDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20deleted_route%20%3E%20(property)%20priority">Link to this property</a>

CreatedOn TimeOptional

When the route was created.

formatdate-time

<a href="#(resource)%20magic_transit.routes%20%3E%20(model)%20RouteDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20deleted_route%20%3E%20(property)%20created_on">Link to this property</a>

Description stringOptional

An optional human provided description of the static route.

<a href="#(resource)%20magic_transit.routes%20%3E%20(model)%20RouteDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20deleted_route%20%3E%20(property)%20description">Link to this property</a>

ModifiedOn TimeOptional

When the route was last modified.

formatdate-time

<a href="#(resource)%20magic_transit.routes%20%3E%20(model)%20RouteDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20deleted_route%20%3E%20(property)%20modified_on">Link to this property</a>

<details>

<summary>

Scope <a href="https://developers.cloudflare.com/api/go/resources/magic_transit#(resource)%20magic_transit.routes%20%3E%20(model)%20scope%20%3E%20(schema)">Scope</a>Optional

Used only for ECMP routes.

</summary>

ColoNames \[]stringOptional

List of colo names for the ECMP scope.

<a href="#(resource)%20magic_transit.routes%20%3E%20(model)%20RouteDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20deleted_route%20%3E%20(property)%20scope%20%2B%20(resource)%20magic_transit.routes%20%3E%20(model)%20scope%20%3E%20(schema)%20%3E%20(property)%20colo_names">Link to this property</a>

ColoRegions \[]stringOptional

List of colo regions for the ECMP scope.

<a href="#(resource)%20magic_transit.routes%20%3E%20(model)%20RouteDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20deleted_route%20%3E%20(property)%20scope%20%2B%20(resource)%20magic_transit.routes%20%3E%20(model)%20scope%20%3E%20(schema)%20%3E%20(property)%20colo_regions">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.routes%20%3E%20(model)%20RouteDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20deleted_route%20%3E%20(property)%20scope">Link to this property</a>

Weight int64Optional

Optional weight of the ECMP scope - if provided.

<a href="#(resource)%20magic_transit.routes%20%3E%20(model)%20RouteDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20deleted_route%20%3E%20(property)%20weight">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.routes%20%3E%20(model)%20RouteDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20deleted_route">Link to this property</a>

</details>

[Link to this property](<#(resource)%20magic_transit.routes%20%3E%20(model)%20RouteDeleteResponse%20%3E%20(schema)>)

### Delete Route

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/magic_transit"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  route, err := client.MagicTransit.Routes.Delete(
    context.TODO(),
    "023e105f4ecef8ad9ca31a8372d0c353",
    magic_transit.RouteDeleteParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", route.Deleted)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "deleted": true,
    "deleted_route": {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "nexthop": "203.0.113.1",
      "prefix": "192.0.2.0/24",
      "priority": 0,
      "created_on": "2017-06-14T00:00:00Z",
      "description": "New route for new prefix 203.0.113.1",
      "modified_on": "2017-06-14T05:20:00Z",
      "scope": {
        "colo_names": [
          "den01"
        ],
        "colo_regions": [
          "APAC"
        ]
      },
      "weight": 0
    }
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "deleted": true,
    "deleted_route": {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "nexthop": "203.0.113.1",
      "prefix": "192.0.2.0/24",
      "priority": 0,
      "created_on": "2017-06-14T00:00:00Z",
      "description": "New route for new prefix 203.0.113.1",
      "modified_on": "2017-06-14T05:20:00Z",
      "scope": {
        "colo_names": [
          "den01"
        ],
        "colo_regions": [
          "APAC"
        ]
      },
      "weight": 0
    }
  },
  "success": true
}
```